Titlebar incorrectly drawn with geforce 5/6/7, compiz and human-theme

Bug #99508 reported by Maciej Podkomorzy on 2007-03-31
756
This bug affects 62 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Medium
compiz packagers
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Intrepid by Laura Cowen
Hardy
Undecided
Unassigned
human-theme (Ubuntu)
Low
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Intrepid by Laura Cowen
Hardy
Undecided
Unassigned
nvidia-graphics-drivers-177 (Ubuntu)
Medium
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Intrepid by Laura Cowen
Hardy
Undecided
Unassigned

Bug Description

When compiz and human-theme are being used, the titlebar of windows often go completely grey, or partially grey (see screenshots). Moving the cursor over the buttons in the top right of the window will trigger the issue on affected systems.

This affects all Geforce 5, 6 and 7 users with nvidia-glx-173 or -177. This issue appeared as a regression with 169.07, and has been fixed as of 180.06.

More information at http://www.nvnews.net/vbulletin/showthread.php?t=104822 and http://www.nvnews.net/vbulletin/showthread.php?t=123072 .

WORKAROUNDS:
Change the titlebar of the Human theme (eg. to clearlooks)
-or-
Disable Compiz
-or-
Use the 180.06 or greater Nvidia driver

SCREENSHOTS:
http://launchpadlibrarian.net/19116675/glitch.png
http://satfilm.net.pl/~gammaray/compiz_bug.png

NOTE:
Bug 186382 is an unrelated nvidia titlebar issue which looks like these:
http://launchpadlibrarian.net/12535841/eclipse-titlebars.png
http://launchpadlibrarian.net/11586392/gwd_drawing_problem.png

Related branches

Sebastien Bacher (seb128) wrote :
Download full text (4.6 KiB)

 compiz (1:0.3.6-1ubuntu13) feisty; urgency=low
 .
   * 020-move-away-from-having-client-side-positioning-of-windows.patch:
     - Upstream patch : Move away from having client side positioning of windows.
       Window size must be server side so to be able to do atomic move-resize
       operations position must also be server-side. This means that
       serverX and serverY fields in CompWindow struct has higher priority
       than attrib.x and attrib.y. attrib.x and attrib.y is still the client
       side position and any code dealing with the visible position of a
       window should use these. Code that needs to be aware of any pending
       position changes should look at serverX and serverY.
   * 021-only-update-window-position-when-no-pending-position.patch:
     - Upstream patch : Only update window position when no pending position
       changes exists.
   * 022-libXrender-workaround-gradient-issue.patch:
     - Upstream patch : Check version of libXrender and workaround gradient
       issue if older than 0.9.3. (Close #99508)
   * 023-dont-force-a-resize-when-maximize.patch:
     - Upstream patch : Do not force a resize when maximize state changes.
   * 024-fix-a-few-initiate-functions.patch:
     - Upstream patch : Fix a few initiate functions that should steal events.
   * 026-enable-sync-request-protocol-for-override_redirect-windows.patch:
     - Upstream patch : Enable sync request protocol for override_redirect
       windows as 025-fix-sync-request-issue.patch likely fixed the issues seen
       previously.
   * 027-fix-windows-being-maximized-on-incorrect-output.patch:
     - Upstream patch : Fix issue with windows being maximized on incorrect
       output.
   * 028-make-sure-no-core-instance-of-window-is-painted-after-minimize.patch:
     - Upstream patch : Make sure no core instance of window is painted after
       minimize animation. (bnc 240960)
   * 029-add-demands-attention-state-when-focus-on-map-was-prevented.patch:
     - Upstream patch : Add demands attention state when focus on map was
       prevented.
   * 030-reset-rotation-correctly-when-we-receive-a-client-message.patch:
     - Upstream patch : Reset rotation correctly when we receive a client
       message that cause us to move the viewport.
   * 031-fix-active-window-tracking.patch:
     - Upstream patch : Fix active window tracking. We're always setting the
       active window property so there's no need to monitor that property.
   * 032-check-for-pending-maps-on-hide.patch:
     - Upstream patch : Check for pending maps when trying to hide a window.
   * 033-maximize-windows-if-too-big-for-desktop.patch:
     - Upstream patch : Enable the code in the placement plugin that maximize
       windows when they are too big for their work area.
   * 034-read-current-window-position-properly.patch:
     - Upstream patch : Read current window position properly.
   * 035-set-state-to-normal-when-window-is-mapped.patch:
     - Upstream patch : Make sure we set state to Normal again when window is
       mapped.
   * 036-use-findTopLevelWindowAtDisplay-when-receiving-FocusIn-events.patch:
     - Upstream...

Read more...

Changed in compiz:
importance: Undecided → Medium
status: Unconfirmed → Fix Released
Maciej Podkomorzy (gammaray) wrote :

Well, after the last compiz update the bug still seems to be there. In addidtion, I've noticed that after the update, when I maximize windows. sometimes their titlebar becomes inactive (the buttons don't work either). Attached a small screencast to show the aforementioned bugs.

Janne Hyötylä (janne-hyotyla) wrote :

> In addidtion, I've noticed that after the update, when I maximize windows. sometimes their titlebar becomes inactive (the buttons don't work either). Attached a small screencast > to show the aforementioned bugs.

I can confirm that with Feisty final, compiz activated, Radeon 9800 Pro with 'ati' driver (details at the bottom).
It does not seem to depend on any compiz setting.

When opening a window and then maximizing it, the title bar buttons do not work anymore.
After pressing Alt + leftclick in the window (activating the "move window" mode), the buttons work again.
When unmaximizing from this state, the title bar buttons stop working in the now unmaximized window until briefly activating the "move window" mode.

When a window is opened in the maximized state, same behaviour after unmaximizing once.

When the title bar is in the 'broken' state, right clicking on it displays the desktop popup menu, or if there is another window at that position, brings that window to the foreground. It's as if the title bar did not exist (see screenshot, note the context menu, I right clicked directly on the title bar, then waited for the delayed screenshot to be taken).

This happens to me almost every time, but not *every* time.

$uname -a:
Linux gondor 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux
$sudo lspci -vv:
03:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800 Pro] (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Unknown device 0002
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at d000 [size=256]
        Region 2: Memory at e6000000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at e5000000 [disabled] [size=128K]
        Capabilities: [58] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3+ Rate=x4,x8
                Command: RQ=32 ArqSz=2 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

With all updates installed I can also confirm this bug.
The titlebar gets truncated after switching between a maximized and a non maximized Window 2 to 3 times. The way compiz truncates the title bar is always exactly the same, and when you drive with the mouse over it everything is alright.
System: Feisty 7.04 stable
Graphics Driver: nvidia / Geforce 2 MX 400

Attached is a screenshot of the problem

Matthew McGowan (mmcg069) wrote :

I have this problem as well.

Its really easy to reproduce, it happens roughly 1 in 5 times i hover over a minimise. expand or close button. But also on other occasions.

Matthew McGowan (mmcg069) wrote :

with regard to above comment. i have nvidia 9600, glx-nvidia-new driver packaged by ubuntu

Jan de Mooij (jandemooij) wrote :

I can confirm that this bug is not fixed yet. nVidia 6600GT, nvidia-glx-new driver, Ubuntu Gutsy.

Should we move this from Fix Released to Confirmed?

Chris Coulson (chrisccoulson) wrote :

This is still affecting users in Gutsy RC

Changed in compiz:
status: Fix Released → Confirmed
Chris Coulson (chrisccoulson) wrote :

I can also confirm that this is not fixed in Gutsy RC - nvidia 7900GT 100.14.19 drivers. Screenshot attached.

bwat47 (bwat47) wrote :

Same here, Nvidia 7600GS, 100.14.19 driver, Gutsy RC

Kalpik Nigam (kalpik) wrote :

Yes, i get the same artifacts here. Nvidia FX5700 LE / 100.14.19.

Matt Joiner (anacrolix) wrote :

I get it too. Gutsy RC up to date. Nvidia 7600 GS. Exactly as per first screenshot above.

Chris Coulson (chrisccoulson) wrote :

I've nominated this for Gutsy as this seems to be a long standing issue affecting quite a few users. With Compiz enabled by default, this bug will not leave very good first impressions with potentially new Ubuntu users.

James N (jnylen) wrote :

Chalk up another user with this problem - I filed a bug not realizing this one already existed. My screenshot can be seen at http://www.auburn.edu/compiz-gtk.png

James N (jnylen) wrote :
Fabio FZero (fabio-fzero) wrote :

I can also confirm this bug on Gutsy final release version. My card is an on-board GeForce 6100 using the nvidia-glx-new drivers.

Crispin Kirchner (kcrispin) wrote :

I had this in Feisty and now in Gutsy. It's also when using beryl instead of compiz. I think it's rather a heliodor bug because when using emerald (in Feisty) the artefacts didn't appear. I'm using nvidia-glx-new now, it was the same with nvidia-glx under Feisty. All buttons still work, but sometimes it happens that the whole decoration turns grey. My artefacts look the same as the screenshots above. I don't think (but I'm not sure) that the error occured with windows that weren't maximized. The buttons in the decoration also all still work because when I hover the buttons, all artefacts in the decorations disappear.

I can also confirm this bug on Gutsy final release that I installed few days ago. My card is an NVIDIA GeForce 7300 and I am using the nvidia-glx-new drivers.

Gaspard Leon (gaspard.leon) wrote :

Confirmed with Ubuntu 7.10 gutsy i386 release

Video: NVidia Geforce FX 5900XT (nvidia-glx-new)

Randomly it appears the top half of the title bar is a white/gray gradient with part of the window icon poking through.

Not a critical bug but looks like it's been hanging around for a while, and looks a bit un-polished.

As described above, when the window is maximized, you just move your mouse over the minimize/maximize/close or window icon buttons then hover (don't always need to hover), randomly the corruption should appear.

Stefan Rehm (stefan-rehm) wrote :

Confirmed with Ubuntu 7.10 using a Geforce 7950 GT (nvidia-glx-new).
However the bug occurs only when using certain windows border themes like Human or Glossy. When using for example Glider or Mist everything works fine for me.
I also could not trigger the bug using various ATI cards (with xorg radeon drivers).

Gaspard Leon (gaspard.leon) wrote :

My fix: use emerald

Benjamin Drung (bdrung) wrote :

I can confirm this bug. I am using Ubuntu 7.10 (amd64) and I have a GeForce 7950 GT (nvidia-glx-new). I am using the Human theme.

Sometimes the title bar turns gray when switching the window, instead of getting brown.

uname -a
Linux deepthought 2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64 GNU/Linux

Benjamin Drung (bdrung) wrote :
andmej (andmej) wrote :

Any fix for this bug yet?

I'm also affected using Ubuntu Gutsy 7.10. My video card is an AGP nVidia GeForce 6600, using nVidia proprietary drivers.

Michael Walter (mwalter) wrote :

Happens for me, too (gutsy with latest updates).

James N (jnylen) wrote :

I've switched to using Emerald as my theme engine, mainly because of this bug.

Gabriel M. (gabrielm) wrote :

The problem persists in Gutsy final, with all updates as of today.
Nvidia 7800gs here.

Even Emerald is not helping me. NVidia GeForce Go 7400 here

Sam Townsend (stownsend42) wrote :

I have this problem too on an nVidia GeForce 6100.

A temporary fix is to install XGL.

ashish (13lackhat) wrote :

yeah this bug bugs me too. i am using Ubuntu 7.10 x86_64 (64-bit). i have installed compiz and also i use nvidia proprietary drivers. my graphics card is GeForce 7300 Go. this happens to me using firefox generally. but interestingly yet i don't think this bug is restricted to title bar only. i' have attached a screen shot of an another problem (screen shot will make it clear). and this happens only to Firefox during maximization. also the latter bug isn't seen always (but most of the time it is).

PS: during viewing pdf in full screen using the default viewer shipped with ubuntu if i hover the mouse over leave full screen button the screen flickers* twice before displaying the description of the button.

*complete screen goes black for a millisecond

hope this helps. i don't think its limited to the title bar only. and neither is it related to i386 only.

ashish (13lackhat) wrote :

one more screen shots are attached. and is a permanent fix released??

Rodney Halaquist (rhalaquist) wrote :

Well I guess I am not the lonely sailor after all.
-nVidia GeForce 6150 LE
Ubuntu 7.10 (Gutsy)

I had far worse screen shots of some of the mess (got misplaced) I hope they are/will try to figure out a solution to this.
Yea, I know, there are other more important.... or why don't you fix it, etc..., Anyway good luck all and thanks for the ear!

James N (jnylen) wrote :

I advise everyone experiencing this bug to switch to Emerald for theme management, as it doesn't look like anyone will be fixing this bug any time soon.

Emerald has the potential to look and act a lot nicer, and it is infinitely more customizable than the Compiz GTK decorator, with a wide variety of options for transparency and color blending, shadows, order/type/position of titlebar buttons and other elements, window title colors and outlines, etc.

Travis Watkins (amaranth) wrote :

This is some weird interaction between gtk-window-decorator, libmetacity, and clearlooks themes. It only occurs when using Clearlooks or a theme based on it (like Human).

Stefan Rehm (stefan-rehm) wrote :

This seems to be fixed in version 0.6.3+git20071119-0ubuntu1~gutsy1 available in gutsy-backports.

Stefan Rehm (stefan-rehm) wrote :

Ups, 0.6.2 is the correct upstream version number.

Jan Rathmann (kaiserclaudius) wrote :

@Stefan
On my system the backported version did not fix this bug.

Kind regards,
Jan

Benjamin Drung (bdrung) wrote :

@Stefan
On my system the backportet version 0.6.2+git20071119-0ubuntu1~gutsy1 did not fix this bug.

Stefan Rehm (stefan-rehm) wrote :

Ok, this is indeed not fixed. But this time I had to hover over the title bar buttons for quite a long time to trigger it.

SK (stephantom) on 2007-12-05
Changed in compiz:
assignee: nobody → ubuntu-desktop-effects
Nanley Chery (nanoman) wrote :

***Attention*** Potentially helpful material below:
For me, this only occurs on a maximized window. Whenever I move to an object on the title bar (icon,min,max,exit), on the fourth time, the title bar glitches as seen above. The glitch disappears when I take the mouse off the object.

Changed in compiz:
assignee: ubuntu-desktop-effects → nobody
sfan (sfan) on 2008-03-08
Changed in compiz:
status: Confirmed → New
status: New → Fix Committed
Changed in compiz:
assignee: nobody → desktop-bugs
status: Fix Committed → Confirmed
Changed in compiz:
assignee: desktop-bugs → nobody
Changed in compiz:
assignee: nobody → mvo
Michael Vogt (mvo) on 2008-03-14
Changed in compiz:
assignee: mvo → compiz
Changed in human-theme:
status: New → Invalid
Changed in human-theme:
status: Invalid → Confirmed
Kenneth Wimer (kwwii) on 2008-04-17
Changed in human-theme:
status: Confirmed → Fix Committed
Changed in human-theme:
status: Fix Committed → Fix Released
sfan (sfan) on 2008-04-20
Changed in compiz:
status: Confirmed → Fix Released
Changed in compiz:
status: Fix Released → Confirmed
Hew McLachlan (hew) on 2008-08-11
Changed in human-theme:
importance: Undecided → Low
status: Fix Released → New
Hew McLachlan (hew) on 2008-10-06
Changed in compiz:
status: Confirmed → Triaged
Changed in human-theme:
status: New → Triaged
Hew McLachlan (hew) on 2008-10-07
description: updated
Hew McLachlan (hew) on 2008-10-09
description: updated
Changed in human-theme:
status: Triaged → Fix Released
Hew McLachlan (hew) on 2008-10-17
Changed in human-theme:
status: Fix Released → Triaged
Hew McLachlan (hew) on 2008-10-18
Changed in nvidia-graphics-drivers-177:
status: New → Invalid
Changed in compiz:
assignee: compiz → nobody
status: Confirmed → Invalid
Hew McLachlan (hew) on 2008-10-23
Changed in nvidia-graphics-drivers-177:
status: New → Triaged
importance: Undecided → Low
description: updated
Hew McLachlan (hew) on 2008-10-23
description: updated
Changed in compiz:
status: Triaged → Confirmed
Changed in human-theme:
status: Triaged → Confirmed
Changed in nvidia-graphics-drivers-177:
status: Triaged → Invalid
Changed in compiz:
status: Confirmed → Triaged
Changed in human-theme:
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-177:
status: Invalid → Triaged
Hew McLachlan (hew) on 2008-10-31
description: updated
Hew McLachlan (hew) on 2008-11-03
Changed in nvidia-graphics-drivers-177:
importance: Low → Medium
Changed in compiz:
importance: Medium → Undecided
Hew McLachlan (hew) on 2008-11-15
Changed in compiz:
status: Triaged → Invalid
Changed in human-theme:
status: Triaged → Invalid
Hew McLachlan (hew) on 2008-11-15
description: updated
Hew McLachlan (hew) on 2008-12-02
Changed in nvidia-graphics-drivers-177:
status: Triaged → Won't Fix
235 comments hidden view all 315 comments

Use the package from ps://launchpad.net/~thomas-creutz/+archive
It workes with my 6600 GT.

Beto (es-beto) wrote :

oh dear god, how do i get unsubscribed of this bug??, i receive tons of mails and i already found a fix....

On Sun, 2009-01-04 at 04:56 +0000, Beto wrote:
> oh dear god, how do i get unsubscribed of this bug??, i receive tons of
> mails and i already found a fix....

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/99508/+subscribe

Beto (es-beto) wrote :

thank you very much I apologize for not being able to see the unsubscribe button I think I scrolled through it too fast to see it...i apologize also for my off-topic posts, it will never happen again.

The nvidia 180.06 driver should be made available in the updates, it fixes the problem and i haven't had any issues after updating (though i don't really know the procedure/testing/inclusion of updates etc)

ski (skibrianski) wrote :

Just wanted to note that 177.82 (just released in intrepid) doesn't do the trick for me on a Geforce Go 7300 / amd64 system. Has anyone checked the 180.x driver with this card?

ski@ganiodayo:~$ lspci | grep -i nvid
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)

ski@ganiodayo:~$ dpkg -l | grep nvidi
ii nvidia-173-modaliases 173.14.12-1-0ubuntu4 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-177-kernel-source 177.82-0ubuntu0.1 NVIDIA binary kernel module source
ii nvidia-177-modaliases 177.82-0ubuntu0.1 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-71-modaliases 71.86.04-0ubuntu10 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-96-modaliases 96.43.09-0ubuntu1 Modaliases for the NVIDIA binary X.Org drive
ii nvidia-common 0.2.4 Find obsolete NVIDIA drivers
rc nvidia-glx-173 173.14.12-1-0ubuntu4 NVIDIA binary Xorg driver
ii nvidia-glx-177 177.82-0ubuntu0.1 NVIDIA binary Xorg driver
rc nvidia-glx-96 96.43.09-0ubuntu1 NVIDIA binary Xorg driver
ii nvidia-kernel-common 20051028+1+nmu2ubuntu2 NVIDIA binary kernel module common files
ii nvidia-settings 177.78-0ubuntu2.1 Tool of configuring the NVIDIA graphics driv

Thanks...

ski (skibrianski) wrote :

PS - The titlebar style workaround works for me tho. Cheers to whomever found that.

ski (skibrianski) wrote :

PPS - Actually the titlebar style workaround does NOT workaround for me, although it seems to decrease the bugs severity. Sorry for all the noise.

Dave Vree (hdave) wrote :

@ski -- As mentioned above, the 800.x driver work for me Geforce Go 7400. It'll probably work for you...why not try it out?

Usufruct (benlong) wrote :

I've been using every nVidia beta driver as they become available. For
me, the titlebar issue disappeared with the 180.06 beta driver, and
does not occur with the 180.17 driver. I recommend you install the
180.17 beta.

-Ben

ski wrote:
> Just wanted to note that 177.82 (just released in intrepid) doesn't do
> the trick for me on a Geforce Go 7300 / amd64 system. Has anyone checked
> the 180.x driver with this card?
>
> ski@ganiodayo:~$ lspci | grep -i nvid
> 01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)
>
> ski@ganiodayo:~$ dpkg -l | grep nvidi
> ii nvidia-173-modaliases 173.14.12-1-0ubuntu4 Modaliases for the NVIDIA binary X.Org drive
> ii nvidia-177-kernel-source 177.82-0ubuntu0.1 NVIDIA binary kernel module source
> ii nvidia-177-modaliases 177.82-0ubuntu0.1 Modaliases for the NVIDIA binary X.Org drive
> ii nvidia-71-modaliases 71.86.04-0ubuntu10 Modaliases for the NVIDIA binary X.Org drive
> ii nvidia-96-modaliases 96.43.09-0ubuntu1 Modaliases for the NVIDIA binary X.Org drive
> ii nvidia-common 0.2.4 Find obsolete NVIDIA drivers
> rc nvidia-glx-173 173.14.12-1-0ubuntu4 NVIDIA binary Xorg driver
> ii nvidia-glx-177 177.82-0ubuntu0.1 NVIDIA binary Xorg driver
> rc nvidia-glx-96 96.43.09-0ubuntu1 NVIDIA binary Xorg driver
> ii nvidia-kernel-common 20051028+1+nmu2ubuntu2 NVIDIA binary kernel module common files
> ii nvidia-settings 177.78-0ubuntu2.1 Tool of configuring the NVIDIA graphics driv
>
> Thanks...
>
>

evgen (evgen-alice-dsl) wrote :

There is nvidia-glx-180 | 180.11-0ubuntu1~intrepid1 | intrepid-updates/restricted | amd64, i386 available, which fixes the issue with titlebars on GeForce 6200 (at least for me).

It's in intrepid-updates now, which is enabled by default.

The nvidia-glx-180 package fixes the problem for me (nVidia Corporation G72 [GeForce 7300 LE]).

Great!

jbg7474 (jbg7474) wrote :

I'm sure it's user error, but I don't see nvidia-glx-180 in the repositories. There was an nvidia update today, but it was only to 177.82. Perhaps because I have a Quadro NVS 110M instead of an actual GeForce?

Jamie Nadeau (james2432) wrote :

You have to download the drivers yourself: http://nvnews.net/vbulletin/showthread.php?t=122606
1. Save it
2. chmod +x it (terminal)
3. Press ctrl+alt+f1
4. login
5. kill gdm (/etc/init.d/gdm stop) as root
6. run the .run ( ./NVIDIA......)
7. Say Yes to anything it asks you(especially if your are a noob)
8. Restart gdm (/etc/init.d/gdm start) as root
9.You may have to press ctrl+alt+F7 to get back

jbg7474 (jbg7474) wrote :

Thanks for the link and the instructions, but I'd rather wait until it's in the repositories. Someone above said it's in intrepid-updates, but I don't see it.

Anand Thakur (athakur) wrote :

I was able to install it from the repositories (Intrepid updates).

The "180" version is part of the package name so you need to explicitly
specify it.

This is what I did. I did this from a text console just to avoid any
possible interactions with the nvidia driver (hit CTRL-ALT-F1 to get to a
text window). Probably not necessary but can't hurt...

1. sudo /etc/init.d/gdm stop
2. sudo apt-get install nvidia-glx-180 nvidia-180-modaliases

The 2nd command will install the new driver and also uninstall the old 177
driver. I'm not sure if "nvidia-180-modaliases" is really necessary (it
doesn't automatically install if you leave it out) but the 177 version is
there so I figured I'd add that in too.

On Thu, Jan 8, 2009 at 11:50 AM, jbg7474 <email address hidden> wrote:

> Thanks for the link and the instructions, but I'd rather wait until it's
> in the repositories. Someone above said it's in intrepid-updates, but I
> don't see it.
>
> --
> Titlebar incorrectly drawn with geforce 5/6/7, compiz and human-theme
> https://bugs.launchpad.net/bugs/99508
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "compiz" source package in Ubuntu: Invalid
> Status in "human-theme" source package in Ubuntu: Invalid
> Status in "nvidia-graphics-drivers-177" source package in Ubuntu: Won't Fix
> Status in compiz in Ubuntu Hardy: Invalid
> Status in human-theme in Ubuntu Hardy: Fix Released
> Status in nvidia-graphics-drivers-177 in Ubuntu Hardy: Invalid
>
> Bug description:
> When compiz and human-theme are being used, the titlebar of windows often
> go completely grey, or partially grey (see screenshots). Moving the cursor
> over the buttons in the top right of the window will trigger the issue on
> affected systems.
>
> This affects all Geforce 5, 6 and 7 users with nvidia-glx-173 or -177. This
> issue appeared as a regression with 169.07, and has been fixed as of 180.06.
>
> More information at
> http://www.nvnews.net/vbulletin/showthread.php?t=104822 and
> http://www.nvnews.net/vbulletin/showthread.php?t=123072 .
>
> WORKAROUNDS:
> Change the titlebar of the Human theme (eg. to clearlooks)
> -or-
> Disable Compiz
> -or-
> Use the 180.06 or greater Nvidia driver
>
> SCREENSHOTS:
> http://launchpadlibrarian.net/19116675/glitch.png
> http://satfilm.net.pl/~gammaray/compiz_bug.png<http://satfilm.net.pl/%7Egammaray/compiz_bug.png>
>
> NOTE:
> Bug 186382 is an unrelated nvidia titlebar issue which looks like these:
> http://launchpadlibrarian.net/12535841/eclipse-titlebars.png
> http://launchpadlibrarian.net/11586392/gwd_drawing_problem.png
>

Anand Thakur (athakur) wrote :

I was able to install it from the repositories (Intrepid updates).

The "180" version is part of the package name so you need to explicitly specify it.

This is what I did. I did this from a text console just to avoid any possible interactions with the nvidia driver (hit CTRL-ALT-F1 to get to a text window). Probably not necessary but can't hurt...

1. sudo /etc/init.d/gdm stop
2. sudo apt-get install nvidia-glx-180 nvidia-180-modaliases

The 2nd command will install the new driver and also uninstall the old 177 driver. I'm not sure if "nvidia-180-modaliases" is really necessary (it doesn't automatically install if you leave it out) but the 177 version is there so I figured I'd add that in too.

jbg7474 (jbg7474) wrote :

Yep, that worked. Funny, it's not in Synaptic, even after installation. Lots of other nvidia-glx-XXX, but no 180.

Giovanni Bajo (giovannibajo) wrote :

I am not receiving it as an automatic update, nor I see it in synaptic. I even run "apt-get update". Any clue why it's not being pushed everywhere automatically?

Hew McLachlan (hew) wrote :

nvidia-glx-180 is in intrepid-updates. This is not an automatic update, but a new package. If you wish to use -180 instead of -177, you will need to install the nvidia-glx-180 package.

Unfortunately, the new nvidia-glx-180 driver reopens the bug #80890 which was closed with nvidia-glx-177 :(.

Jeffrey Baker (jwbaker) wrote :

Why is this marked fixed on Hardy? I just installed Hardy 8.04.2 x86 and I still see this exact corruption of the title bar with the default theme.

Hew McLachlan (hew) wrote :

A workaround was provided in human-theme for Hardy. Please read the comments above which discuss this issue. Make sure you're not seeing bug 186382, or some other titlebar corruption bug.

Jeffrey Baker (jwbaker) wrote :

I hate to be a stick in the mud, but a workaround buried on Launchpad is not the same as "Fix Released". The workaround isn't even mentioned in the release notes.

Hew McLachlan (hew) wrote :

By "workaround" I of course mean a patch was applied to the human-theme package. This occurred with human-theme 0.18, as you will be able to see if you read the above comments. This did fix the issue in Hardy, and many users, including myself, verified this.

If you are experiencing a titlebar issue on Hardy, it is not this bug.

darkraven (jasminr) wrote :

what workaround??? the only one i have been able to do is DISABLE COMPIZ.
its the only one that works.

this isn't a workaround. where is 180 drivers??? i have 177.

ubuntu doesn't have them available yet, and I'm on intrepid.

_oOMOo_ (hermann-blaxhall) wrote :

@darkraven

sudo apt-get install nvidia-glx-180

Jeffrey Baker (jwbaker) wrote :

Hew: On my completely up-to-date fresh install of 8.04.2/x86 with default settings, I see _exactly_ the same titlebar corruption that started this bug. I recommend reopening.

Jamie Nadeau (james2432) wrote :

@Jeffrey

You have to install the 180 nvidia drivers. Ubuntu team have fix the bug on their end, it's the 17x drivers that were the issue. This has been fixed with the 180 series drivers.

nitto (nitto) wrote :

I'm quite off-topic in this bug and I apologize in advance.
I'd like to know if anybody experienced any trouble with the new nvidia 180 drivers. They solved this bug but introduced a new bug for me (see Bug #330549).
My laptop is a HP pavilion dv6915nr.
If anybody has a similar laptop and switched to the new nvidia driver version can please contact me privately and tell how the new drivers behave?
Thanks

Jeffrey Baker (jwbaker) wrote :

@JamesxL

There is no nvidia 180 driver in Hardy.

Jeffrey,

You can obtain the driver directly from nVidia's site and run the
installer as root from the command line (without xwindows running).

Jamie Nadeau (james2432) wrote :

I've previously stated on how to install the nvidia 180.x drivers here:
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/99508/comments/288

Jeffrey Baker (jwbaker) wrote :

That's great JamesxL, but I've been using Linux for 14 years and I don't need advice on how to run shell archives. My point here is that the out-of-box experience for users of 8.04 "Long Term Support" is bad. Everybody who installs this thing on Nvidia graphics is going to get the same bad experience. The right thing to do would be to ship is with the Human window borders disabled, and the Clearlooks window borders enabled instead.

Telling people to install out-of-archive kernel modules from websites is not a good solution. Asking people to dig around on Launchpad looking for workarounds is not a good solution, either. 8.04 should work, out of the box, with the default settings as shipped. Right now that's not true. It doesn't matter if it's nvidia's fault.

Jamie Nadeau (james2432) wrote :

Well 9.04 already has them in the repo. I'd be surprised if they don't release them for LTS and 8.10 also.

darkraven (jasminr) wrote :

8.10 doesn't have it yet. at least on base install, which is were you see it most often.

Jackalope still shows partially as Ibex, so I never bothered with installing it[fully]. from what I can tell, it DOESn't find it either.

it is IN the repos and DOES install, but you have to dig for the answer. do us all the favor and put a note in the release for 8.10 and re-submit the ISO. shouldn't take but a few minutes to do. building the ISO I mean. compiling always takes a while.

:-)

Jeffrey Baker wrote:
> That's great JamesxL, but I've been using Linux for 14 years and I don't
> need advice on how to run shell archives. My point here is that the
> out-of-box experience for users of 8.04 "Long Term Support" is bad.
> Everybody who installs this thing on Nvidia graphics is going to get the
> same bad experience. The right thing to do would be to ship is with the
> Human window borders disabled, and the Clearlooks window borders enabled
> instead.
>
>
I totally agree. And that would be a relatively easy fix.
Btw, I'd like to know the cause of that bug. It's just sounds crazy that
only a certain _theme_ (not e.g. a 3d-accelerated application) works
incorrectly with nVidia drivers. :)

Jamie Nadeau (james2432) wrote :

@darkraven

I've installed JJ(9.04) from dailybuild(~5days ago) and it(180.x) does show up in the hardware drivers, then again it might be because I have a x295

I couldn't agree more. While Hardy is very stable now, it took a point
release, and a lot of bugs exist purely because packages aren't being
upgraded quickly enough.

On Sat, Feb 21, 2009 at 7:02 AM, Jeffrey Baker <email address hidden> wrote:

> That's great JamesxL, but I've been using Linux for 14 years and I don't
> need advice on how to run shell archives. My point here is that the
> out-of-box experience for users of 8.04 "Long Term Support" is bad.
> Everybody who installs this thing on Nvidia graphics is going to get the
> same bad experience. The right thing to do would be to ship is with the
> Human window borders disabled, and the Clearlooks window borders enabled
> instead.
>
> Telling people to install out-of-archive kernel modules from websites is
> not a good solution. Asking people to dig around on Launchpad looking
> for workarounds is not a good solution, either. 8.04 should work, out
> of the box, with the default settings as shipped. Right now that's not
> true. It doesn't matter if it's nvidia's fault.
>
> --
> Titlebar incorrectly drawn with geforce 5/6/7, compiz and human-theme
> https://bugs.launchpad.net/bugs/99508
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hew McLachlan (hew) wrote :

This bug is already very large, and the problem has been fixed for most people. It's possible that your Hardy issue is not the same as this bug, since nobody else has reported seeing it anymore. If you open a new bug for your issue, it would be much appreciated.

Please understand that the nature of proprietary binary drivers does not allow us to simply apply a patch to the driver. The real solution to this bug is to use >=180, or <169. This is already possible in Hardy by using the nvidia-glx package, however as mentioned already, a workaround patch was applied to human-theme to stop Compiz triggering the issue.

Please read https://wiki.ubuntu.com/StableReleaseUpdates to understand that we only fix high-impact bugs in the stable releases with small, unobtrusive patches. This bug is a cosmetic issue that has workarounds and is no longer widely reported on Hardy.

180 is present in Intrepid and Jaunty.

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Matthew Joiner

Confirm that you know Matthew Joiner
https://www.linkedin.com/e/isd/856848887/jay-G-ta/

Every day, millions of professionals like Matthew Joiner use LinkedIn to connect with colleagues, find experts, and explore opportunities.

------
(c) 2009, LinkedIn Corporation

Displaying first 40 and last 40 comments. View all 315 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.